Bug 518778 - Release 0.8.4 incompatible with F-10 gtk
Summary: Release 0.8.4 incompatible with F-10 gtk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rednotebook
Version: 10
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 18:19 UTC by Gérard Milmeister
Modified: 2009-09-17 10:41 UTC (History)
3 users (show)

Fixed In Version: 0.8.6-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 03:42:14 UTC
Type: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2009-08-22 18:19:01 UTC
Release 0.8.4 requires gtk 2.16, but F-10 has gtk 2.14.
Error message:
Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 12, in <module>
    rednotebook.redNotebook.main()
  File "/usr/lib/python2.5/site-packages/rednotebook/redNotebook.py", line 800, in main
    redNotebook = RedNotebook()
  File "/usr/lib/python2.5/site-packages/rednotebook/redNotebook.py", line 179, in __init__
    self.frame = MainWindow(self)
  File "/usr/lib/python2.5/site-packages/rednotebook/gui/mainWindow.py", line 66, in __init__
    self.builder.add_from_file(self.gladefile)		
glib.GError: /usr/lib/python2.5/site-packages/rednotebook/files/mainWindow.glade: required gtk+ version 2.16, current version is 2.14

Comment 1 Christoph Wickert 2009-08-25 08:20:10 UTC
I did the update, so I'm the one to blame. Upstream didn't announce this breakage, in fact he still claims that gtk 2.10 is enough.

Comment 2 Fabian Affolter 2009-08-26 23:07:27 UTC
I guess that nobody will update gtk in F-10.

Comment 3 Christoph Wickert 2009-08-26 23:59:22 UTC
No, but I'm in contact with upstream and he said the bump was not intended. 0.8.5 will be released soon and will be working with 2.14 again.

Comment 4 Fedora Update System 2009-08-29 18:29:04 UTC
rednotebook-0.8.4-1.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rednotebook-0.8.4-1.fc10.1

Comment 5 Fedora Update System 2009-08-29 22:54:07 UTC
rednotebook-0.8.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rednotebook-0.8.5-1.fc10

Comment 6 Fedora Update System 2009-08-31 23:33:40 UTC
rednotebook-0.8.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9138

Comment 7 Christoph Wickert 2009-09-01 00:21:09 UTC
0.8.5 fixed the compatibility issues with GTK 2.14 but broke the menu. 0.8.6 is on it's way.

Comment 8 Fedora Update System 2009-09-04 18:46:32 UTC
rednotebook-0.8.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rednotebook-0.8.6-1.fc10

Comment 9 Fedora Update System 2009-09-06 20:42:04 UTC
rednotebook-0.8.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9355

Comment 10 Fedora Update System 2009-09-10 03:42:09 UTC
rednotebook-0.8.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Mark F. Liu 2009-09-17 01:38:57 UTC
rednotebook (version 0.8.6) doesn't work in Fedora 12 either.

Comment 12 Mark F. Liu 2009-09-17 01:39:58 UTC
sorry, I was wrong that is in Fedora 11.

Comment 13 Mark F. Liu 2009-09-17 01:43:21 UTC
This is what it reports:

$ rednotebook
INFO     Writing log to file "/home/marklf/.rednotebook/rednotebook.log"
INFO     Using libyaml for loading and dumping
INFO     AppDir: /usr/lib/python2.6/site-packages/rednotebook
INFO     BaseDir: /usr/lib/python2.6/site-packages
INFO     The config file /usr/lib/python2.6/site-packages/rednotebook/files/default.cfg was read
INFO     The config file /home/marklf/.rednotebook/configuration.cfg was read
INFO     Running in portable mode: 0
INFO     First Start: False
INFO     RedNotebook version: 0.8.6
INFO     System info: machine: i686, platform: Linux-2.6.30.5-43.fc11.i586-i686-with-fedora-11-Leonidas, processor: i686, python_version: 2.6.0, release: 2.6.30.5-43.fc11.i586, system: Linux, GTK version: (2, 16, 6), PyGTK version: (2, 14, 1), Yaml version: 3.08, 
ERROR    An error occured while loading the GUI: 重复的对象ID“cellrenderertext2”出现在第 562 行(之前出现在第 162 行)
ERROR    RedNotebook requires at least gtk+ 2.14. If you cannot update gtk, you might want to try an older version of RedNotebook.

Comment 14 Christoph Wickert 2009-09-17 09:16:01 UTC
Mark, let's track all this in bug 523880 because this one is for F-10.

Comment 15 Mark F. Liu 2009-09-17 10:33:11 UTC
Christoph, OK.
And sorry for this.

Comment 16 Christoph Wickert 2009-09-17 10:41:43 UTC
No problem, you are welcome. Your help in bug 523880 was very valuable, thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.